Bug 732344 - (ghc-hashable) Review Request: ghc-hashable - Haskell class for conversion to hash values
Review Request: ghc-hashable - Haskell class for conversion to hash values
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: yi 731971
  Show dependency treegraph
 
Reported: 2011-08-22 01:37 EDT by Jens Petersen
Modified: 2011-10-19 00:30 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-hashable-1.1.2.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-18 18:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-08-22 01:37:03 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-hashable/ghc-hashable.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-hashable/ghc-hashable-1.1.2.1-1.fc15.src.rpm
Description: 
A Haskell class for types that can be converted to hash values.

This library is needed by ghc-case-insensitive and yi (and aeson).
Comment 1 Jens Petersen 2011-08-22 01:38:49 EDT
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3290663
Comment 2 Narasimhan 2011-10-07 05:05:36 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-hashable-1.1.2.1-1.fc16.x86_64.rpm ghc-hashable-1.1.2.1-1.fc16.src.rpm ghc-hashable-devel-1.1.2.1-1.fc16.x86_64.rpm  ../ghc-hashable.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK, BSD 3 clause
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is BSD

[+]MUST: The License field in the package spec file must match the actual license.

[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum hashable-1.1.2.1.tar.gz 
1ec3a6556ec875d0f643a97775d8a4bb  hashable-1.1.2.1.tar.gz

md5sum ghc-hashable-1.1.2.1-1.fc15.src/hashable-1.1.2.1.tar.gz 
1ec3a6556ec875d0f643a97775d8a4bb  ghc-hashable-1.1.2.1-1.fc15.src/hashable-1.1.2.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64 and i686

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.

[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list

[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.

[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides

[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[+]MUST: Permissions on files must be set properly.
Checked with ls -lR

[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-hashable
error: Failed dependencies:
        ghc(hashable-1.1.2.1) = e95e13c1445cd741ea8b74a131dbe54f is needed by (installed) ghc-hashable-devel-1.1.2.1-1.fc16.x86_64
        ghc-hashable = 1.1.2.1-1.fc16 is needed by (installed) ghc-hashable-devel-1.1.2.1-1.fc16.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine. Loaded Data.Hashable into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is not OK. Please upgrade to latest cabal2spec.

APPROVED.
Comment 3 Narasimhan 2011-10-07 05:08:59 EDT
An email has been sent to the maintainer requesting inclusion of license header in the source files.
Comment 4 Jens Petersen 2011-10-07 09:36:34 EDT
Thank you very for the review.

(In reply to comment #2)
> cabal2spec-diff is not OK. Please upgrade to latest cabal2spec.

No worries I can update it when importing. :)

I just comment that to me cabal2spec-0.24 is still kind of in beta.
I like the freedom it provides though the downside is the added
verbosity.  I am pondering maybe to make the new long format
(or the short one) optionally still available for simple packages.
Anyway before F16 is released I want to release the latest cabal2spec
package also for F15 and F14.  It is good to use 0.24
for new packages probably but I may not convert my current
packages to the latest template just yet, even for F17, though we need
to settle on one form before too long I guess.

Thanks a lot again.
Comment 5 Gwyn Ciesla 2011-10-07 09:44:54 EDT
No SCM request present.

https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 6 Jens Petersen 2011-10-07 11:13:04 EDT
Sorry!


New Package SCM Request
=======================
Package Name: ghc-hashable
Short Description: Haskell class for conversion to hash values
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 7 Gwyn Ciesla 2011-10-07 11:56:11 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-10-08 09:36:33 EDT
ghc-hashable-1.1.2.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-hashable-1.1.2.1-2.fc15
Comment 9 Fedora Update System 2011-10-08 09:37:03 EDT
ghc-hashable-1.1.2.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-hashable-1.1.2.1-2.fc16
Comment 10 Fedora Update System 2011-10-08 09:37:12 EDT
ghc-hashable-1.0.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-hashable-1.0.0-2.fc14
Comment 11 Fedora Update System 2011-10-08 19:33:42 EDT
ghc-hashable-1.1.2.1-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 12 Fedora Update System 2011-10-18 18:15:13 EDT
ghc-hashable-1.0.0-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 13 Fedora Update System 2011-10-18 18:18:08 EDT
ghc-hashable-1.1.2.1-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Fedora Update System 2011-10-19 00:30:14 EDT
ghc-hashable-1.1.2.1-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.